AM263Px MCU+ SDK: OSPI Read and Write API's

| AM263Px MCU+ SDK 26.00.00 |

Functions
OSPI Read and Write API's
APIs for SOC Specific Device Drivers » APIs for OSPI LLD

## Introduction

These APIs try are used for the phy tuning

## Functions
int32_t | OSPI_lld_readCmd (OSPILLD_Handle handle, OSPI_ReadCmdParams *rdParams)
| Function to send specific commands and receive related data from flash. More...
int32_t | OSPI_lld_writeCmd (OSPILLD_Handle handle, OSPI_WriteCmdParams *wrParams)
| Function to send specific commands and related data to flash. More...

## Different OSPI Transfer functions
int32_t | OSPI_lld_readDirect (OSPILLD_Handle handle, OSPI_Transaction *trans)
| Function to perform direct reads from the flash using DAC controller. More...
int32_t | OSPI_lld_readDirectDma (OSPILLD_Handle handle, OSPI_Transaction *trans)
| Function to perform direct reads from the flash using DAC controller in DMA mode. More...
int32_t | OSPI_lld_readIndirect (OSPILLD_Handle handle, OSPI_Transaction *trans)
| Function to perform indirect reads from the flash using INDAC controller. More...
int32_t | OSPI_lld_writeDirect (OSPILLD_Handle handle, OSPI_Transaction *trans)
| Function to perform direct writes to the flash using DAC controller. More...
int32_t | OSPI_lld_writeIndirect (OSPILLD_Handle handle, OSPI_Transaction *trans)
| Function to perform indirect writes to the flash using INDAC controller. More...

## Function Documentation

## ◆ OSPI_lld_readDirect()

int32_t OSPI_lld_readDirect | ( | OSPILLD_Handle | handle,
|  | OSPI_Transaction * | trans
| ) |  |

Function to perform direct reads from the flash using DAC controller.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  trans | Pointer to a OSPI_Transaction

Returns
  OSPI_SYSTEM_SUCCESS on successful read; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_readDirectDma()

int32_t OSPI_lld_readDirectDma | ( | OSPILLD_Handle | handle,
|  | OSPI_Transaction * | trans
| ) |  |

Function to perform direct reads from the flash using DAC controller in DMA mode.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  trans | Pointer to a OSPI_Transaction

Returns
  OSPI_SYSTEM_SUCCESS on successful read; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_readIndirect()

int32_t OSPI_lld_readIndirect | ( | OSPILLD_Handle | handle,
|  | OSPI_Transaction * | trans
| ) |  |

Function to perform indirect reads from the flash using INDAC controller.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  trans | Pointer to a OSPI_Transaction

Returns
  OSPI_SYSTEM_SUCCESS on successful read; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_writeDirect()

int32_t OSPI_lld_writeDirect | ( | OSPILLD_Handle | handle,
|  | OSPI_Transaction * | trans
| ) |  |

Function to perform direct writes to the flash using DAC controller.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  trans | Pointer to a OSPI_Transaction

Returns
  OSPI_SYSTEM_SUCCESS on successful write; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_writeIndirect()

int32_t OSPI_lld_writeIndirect | ( | OSPILLD_Handle | handle,
|  | OSPI_Transaction * | trans
| ) |  |

Function to perform indirect writes to the flash using INDAC controller.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  trans | Pointer to a OSPI_Transaction

Returns
  OSPI_SYSTEM_SUCCESS on successful write; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_readCmd()

int32_t OSPI_lld_readCmd | ( | OSPILLD_Handle | handle,
|  | OSPI_ReadCmdParams * | rdParams
| ) |  |

Function to send specific commands and receive related data from flash.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  rdParams | Pointer to a OSPI_ReadCmdParams

Returns
  OSPI_SYSTEM_SUCCESS if command read was successful; else error on failure

See also
  OSPI_open

## ◆ OSPI_lld_writeCmd()

int32_t OSPI_lld_writeCmd | ( | OSPILLD_Handle | handle,
|  | OSPI_WriteCmdParams * | wrParams
| ) |  |

Function to send specific commands and related data to flash.

Parameters

  handle | OSPILLD_Handle returned from OSPI_open()
  wrParams | Pointer to a OSPI_WriteCmdParams

Returns
  OSPI_SYSTEM_SUCCESS if command write was successful; else error on failure

See also
  OSPI_open